<template>
  <div id="overview-statistics-tab-view">
    <div class="vx-row match-height">
      <div class="vx-col w-full mb-base">
        <!-- CARD 1 -->
        <vx-card :set="(data = info.general)">
          <div class="flex justify-between">
            <div class="flex">
              <div class="text-center mr-10">
                <p class="text-3xl font-semibold">{{ data.totalTasks }}</p>
                <p>Nhiệm vụ</p>
              </div>
              <div class="text-center mr-10">
                <p class="text-3xl font-semibold">{{ data.completedTasks }}</p>
                <p>Hoàn thành</p>
              </div>
              <div class="text-center mr-10">
                <p class="text-3xl font-semibold">{{ data.totalProjects }}</p>
                <p>Dự án</p>
              </div>
            </div>

            <div class="text-right">
              <p class="font-medium">Năng suất gần đây</p>
              <!-- Previous Data comparison -->
              <p class="mt-2 text-xl font-medium">
                <span
                  :class="
                    data.productiveVsLastWeek >= 0
                      ? 'text-success'
                      : 'text-danger'
                  "
                >
                  <span v-if="data.productiveVsLastWeek > 0">+</span>
                  <span v-else>-</span>
                  <span>{{ data.productiveVsLastWeek }} %</span>
                </span>
                <span> vs </span>
                <span>Tuần trước</span>
              </p>
            </div>
          </div>
        </vx-card>
      </div>
      <div class="vx-col w-full md:w-1/2 mb-base">
        <!-- CARD 2 -->
        <vx-card :set="(data = info.overview)">
          <div class="font-bold" style="color: black;">Hoàn thành hôm nay</div>
          <div class="mt-10">
            <div class="flex justify-around">
              <div class="text-center mr-10">
                <p class="text-5xl font-semibold">
                  {{ data.todayCompletedTasks }}
                </p>
                <p>Hoàn thành<br />hôm nay</p>
              </div>
              <div
                class="border border-0 border-solid d-theme-border-grey-light border-r-0 border-t-0 border-b-0"
                style="height: 100px;"
              ></div>
              <div class="text-center mr-10">
                <p class="text-5xl font-semibold">
                  {{ data.totalCompletedTasks }}
                </p>
                <p>
                  Tổng số<br />
                  hoàn thành
                </p>
              </div>
            </div>
          </div>
          <div class="m-10">
            <vs-divider />
            <div class="vx-row">
              <div class="vx-col w-1/2 mb-3">
                <ActivityLegend
                  class="mt-2 text-grey"
                  label="Đúng giờ"
                  :value="data.todayOnTime"
                  color="rgb(121,97,249)"
                />
              </div>
              <div class="vx-col w-1/2 mb-3">
                <ActivityLegend
                  class="mt-2 text-grey"
                  label="Trễ giờ"
                  :value="data.todayOverdue"
                  color="rgb(255,159,67)"
                />
              </div>
              <div class="vx-col w-1/2 mb-3">
                <ActivityLegend
                  class="mt-2 text-grey"
                  label="Không đặt thời hạn"
                  :value="data.todayUndated"
                  color="rgb(0,212,189)"
                />
              </div>
              <div class="vx-col w-1/2 mb-3">
                <ActivityLegend
                  class="mt-2 text-danger"
                  label="Chưa hoàn thành"
                  :value="data.todayUncompleted"
                  color="rgb(234,84,85)"
                />
              </div>
            </div>
          </div>
        </vx-card>
      </div>
      <div class="vx-col w-full md:w-1/2 mb-base">
        <!-- CARD 3 -->
        <vx-card>
          <CompletedLast7DaysChart :chartData="info.completedLast7Days" />
        </vx-card>
      </div>
    </div>
    <div class="vx-row match-height">
      <div class="vx-col w-full md:w-1/2 mb-base">
        <!-- CARD 4 -->
        <vx-card>
          <CompletionRateDistributionChart
            :chartData="info.completionRateDistribution"
          />
        </vx-card>
      </div>
      <div class="vx-col w-full md:w-1/2 mb-base">
        <!-- CARD 5 -->
        <vx-card>
          <ClassifiedCompletionStatistics
            :chartData="info.classifiedCompletionStatistics"
          />
        </vx-card>
      </div>
    </div>
  </div>
</template>

<script>
import CompletedLast7DaysChart from "./CompletedLast7DaysChart";
import ActivityLegend from "./ActivityLegend";
import CompletionRateDistributionChart from "./CompletionRateDistributionChart";
import ClassifiedCompletionStatistics from "./ClassifiedCompletionStatistics";

export default {
  components: {
    CompletedLast7DaysChart,
    ActivityLegend,
    CompletionRateDistributionChart,
    ClassifiedCompletionStatistics
  },
  props: {
    info: { type: Object, default: () => ({}) }
  }
};
</script>
